Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 594812 - sci-astronomy/esomidas-15.09 : /.../libmidas.so: undefined reference to `stgn9_'
Summary: sci-astronomy/esomidas-15.09 : /.../libmidas.so: undefined reference to `stgn9_'
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sci Astronomy Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-22 17:03 UTC by Toralf Förster
Modified: 2016-12-14 14:54 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-history.txt (emerge-history.txt,319.48 KB, text/plain)
2016-09-22 17:03 UTC, Toralf Förster
Details
environment (environment,98.86 KB, text/plain)
2016-09-22 17:03 UTC, Toralf Förster
Details
sci-astronomy:esomidas-15.09:20160922-135219.log.bz2 (sci-astronomy:esomidas-15.09:20160922-135219.log.bz2,91.50 KB, application/x-bzip2)
2016-09-22 17:03 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-09-22 17:03:41 UTC
     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc prepa.o prepa1.o prepa2.o libprep.a -L/var/tmp/portage/sci-astronomy/esomidas-15.09/work/15SEPpl1.0/lib -lgen  -lxcon -lgmidas -lmidas  -lreadline -lm  -o prepa.exe
/var/tmp/portage/sci-astronomy/esomidas-15.09/work/15SEPpl1.0/lib/libmidas.so: undefined reference to `stgn9_'


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-13.0-unstable_20160915-200939) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags ...

  ... in make.conf:
USE="  pax_kernel xtpax -cdinstall -oci8 -bindist btrfs clang compat consolekit custom-cflags egl -eglfs evdev ext4 extra fontconfig git gles gnome-keyring gnuplot gnutls gstreamer inifile ithreads kerberos kvm lapack -latex ldap libinput libvirtd logrotate lvm mdnsresponder-compat -melt midi modplug mpg123 mta mysqli ncurses -offensive opus pam plotutils png python qml qt3support -qt5 rdoc sourceview ssh system-ffmpeg -thinkpad timidity tools udisks uml usbredir v4l v4l2 vala -vdpau video wma wxwidgets X -xcb xinetd xmp xvfb -ziffy"

  ... in /etc/portage/package.use/*:
  mail-mta/ssmtp      ssl mta
  net-misc/wget       ssl
  app-crypt/pinentry  -qt4
  app-editors/emacs   -dbus -svg -ssl -gtk -gtk3
  app-text/xmlto      -latex
  dev-libs/boehm-gc   threads
  dev-libs/libpcre    pcre16
  dev-lang/python     threads
  dev-qt/qtgui        egl eglfs
  net-nds/openldap    -sasl
  dev-util/cmake      -qt4 -qt5
  dev-vcs/git         -perl
  gnome-base/librsvg  -tools
  media-libs/mesa     -vaapi
  sys-apps/kmod       tools
  <=net-misc/openssh-7.3_p1-r2    -hpn
  net-misc/iputils -caps -filecaps
  >=app-crypt/gcr-3.20.0 gtk
  >=dev-libs/glib-2.48.2 dbus

  entries in /etc/portage/package.unmask/*:
  media-video/ffmpeg
  sys-devel/gcc:6.2.0
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.2.0 *
llvm-config --version:
3.8.1

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
  [3]   pypy (fallback)

  -----------------------------------------------------------------

Portage 2.3.1 (python 3.4.5-final-0, default/linux/amd64/13.0, gcc-6.2.0, glibc-2.23-r2, 4.7.4-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.7.4-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285480 total,   1667376 free
KiB Swap:   67108860 total,  67099564 free
Timestamp of repository gentoo: Thu, 22 Sep 2016 13:07:24 +0000
sh bash 4.3_p46-r1
ld GNU ld (Gentoo 2.26.1 p1.0) 2.26.1
app-shells/bash:          4.3_p46-r1::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.6.2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.21.7::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.10.3-r2::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.26.1::gentoo
sys-devel/gcc:            6.2.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/qpsmtpd/plugins"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl amd64 berkdb btrfs bzip2 clang cli compat consolekit cracklib crypt custom-cflags cxx dri egl evdev ext4 extra fontconfig fortran gdbm git gles gnome-keyring gnuplot gnutls gstreamer iconv inifile ipv6 ithreads kerberos kvm lapack ldap libinput libvirtd logrotate lvm mdnsresponder-compat midi mmx mmxext modplug modules mpg123 mta multilib mysqli ncurses nls nptl openmp opus pam pax_kernel pcre plotutils png python qml qt3support rdoc readline seccomp session sourceview sse sse2 ssh ssl system-ffmpeg tcpd timidity tools udisks uml unicode usbredir v4l v4l2 vala video wma wxwidgets xattr xinetd xmp xtpax xvfb zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="es-419 ga ms si ta-LK te zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-09-22 17:03:44 UTC
Created attachment 447420 [details]
emerge-history.txt
Comment 2 Toralf Förster gentoo-dev 2016-09-22 17:03:47 UTC
Created attachment 447422 [details]
environment
Comment 3 Toralf Förster gentoo-dev 2016-09-22 17:03:49 UTC
Created attachment 447424 [details]
sci-astronomy:esomidas-15.09:20160922-135219.log.bz2
Comment 4 Sébastien Fabbro (RETIRED) gentoo-dev 2016-12-12 06:19:31 UTC
fixed on older commits.
Comment 5 A. Wilcox (awilfox) 2016-12-14 04:55:12 UTC
This is definitely not fixed.

I am hitting this trying to build sci-astronomy/esomidas-15.09 while doing work for bug 602202.  The version in the Gentoo tree does not build for me when CC is GCC 4.9.4 or Clang 3.9.  Both are the same error (and vaguely resemble the .log.bz2 attached, though I can attach my own if you want it).
Comment 6 Sébastien Fabbro (RETIRED) gentoo-dev 2016-12-14 14:54:06 UTC
(In reply to A. Wilcox (awilfox) from comment #5)
> This is definitely not fixed.
> 
> I am hitting this trying to build sci-astronomy/esomidas-15.09 while doing
> work for bug 602202.  The version in the Gentoo tree does not build for me
> when CC is GCC 4.9.4 or Clang 3.9.  Both are the same error (and vaguely
> resemble the .log.bz2 attached, though I can attach my own if you want it).


This was a fortran bug, not CC. It was failing for gfortran>=6.

This bug was fixed by introducing esomidas-madrid.patch taken from Debian:
https://gitweb.gentoo.org/repo/gentoo.git/commit/sci-astronomy/esomidas?id=7319893a82b52039b567f54ac500c798caa6c47e

Same Debian issue fixed by patch:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=831134

It could fail for gfortran<6 which are both your cases, but given the patch I doubt it. Could you post your log?